POST api/NTPatientScheduling/PostEncounterTelemedicineLogAction
Request Information
URI Parameters
None.
Body Parameters
EncounterLogDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| EncounterId | integer |
None. |
|
| EntityType | integer |
None. |
|
| StaffId | integer |
None. |
|
| SubServiceId | integer |
None. |
|
| EncounterLogId | integer |
None. |
|
| StaffType | integer |
None. |
|
| EntityId | integer |
None. |
|
| DischargeDate | date |
None. |
|
| LocalLogDateTime | date |
None. |
|
| EntityTypeId | integer |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"EncounterId": 2,
"EntityType": 3,
"StaffId": 1,
"SubServiceId": 1,
"EncounterLogId": 1,
"StaffType": 1,
"EntityId": 4,
"DischargeDate": "2026-06-20T04:05:27.9574522-07:00",
"LocalLogDateTime": "2026-06-20T04:05:27.9574522-07:00",
"EntityTypeId": 6,
"ValidFlag": true,
"DateCreated": "2026-06-20T04:05:27.9574522-07:00",
"DateUpdated": "2026-06-20T04:05:27.9574522-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfEncounterLogDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | EncounterLogDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"EncounterId": 2,
"EntityType": 3,
"StaffId": 1,
"SubServiceId": 1,
"EncounterLogId": 1,
"StaffType": 1,
"EntityId": 4,
"DischargeDate": "2026-06-20T04:05:27.969983-07:00",
"LocalLogDateTime": "2026-06-20T04:05:27.969983-07:00",
"EntityTypeId": 6,
"ValidFlag": true,
"DateCreated": "2026-06-20T04:05:27.969983-07:00",
"DateUpdated": "2026-06-20T04:05:27.969983-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
},
"totalCount": 3
}